image: trion/ng-cli-karma

cache:
  paths:
    - node_modules/
before_script:
  - apt-get update -qq
  - apt-get install -qq git
  - "which ssh-agent || ( apt-get install -qq openssh-client )"
  - eval $(ssh-agent -s)
  - ssh-add <(echo "$SSH_PRIVATE_KEY")
  - mkdir -p ~/.ssh
  - touch ~/.ssh/known_hosts
  - ssh-keyscan -H 209.159.155.2 >> ~/.ssh/known_hosts
  - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'

deploy_stage:
  stage: deploy
  environment: Staging
  only:
    - master
  script:
    - rm ./package-lock.json
    - ssh -o StrictHostKeyChecking=no -p 1157 saasfrontend@98.142.99.67 'rm -rf /home/saasfrontend/public_html/*'
    - npm install
    - ./node_modules/@angular/cli/bin/ng build --progress false --prod
    - cd dist/simpliflysaas/
    - ls
    - scp -o StrictHostKeyChecking=no -P 1157 -r * saasfrontend@98.142.99.67:/home/saasfrontend/public_html/

deploy_production:
  stage: deploy
  environment: Production
  only:
    - tags
  script:
    - rm ./package-lock.json
    - npm install
    - ./node_modules/@angular/cli/bin/ng build --progress false --prod
    - cd dist/simpliflysaas/
    - ls
    - scp -o StrictHostKeyChecking=no -P 1157 -r * saasfrontend@98.142.99.67:/home/saasfrontend/public_html/
